MONGOC_WRITE_CONCERN_GET_WTIMEOUT_INT64(3)

NAME
mongoc_write_concern_get_wtimeout_int64 - mongoc_write_concern_get_wtimeout_int64()

SYNOPSIS

        int64_t
        mongoc_write_concern_get_wtimeout_int64 (const mongoc_write_concern_t *write_concern);

PARAMETERS

    •   write_concern: A mongoc_write_concern_t.

DESCRIPTION

Get the timeout in milliseconds that the server should wait before returning with a write concern timeout.

A value of 0 indicates no write timeout.

RETURNS

Returns a 64-bit signed integer containing the timeout.

SEE ALSO:
        mongoc_write_concern_set_wtimeout_int64.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc